<mat-tab-group dynamicHeight>
    <mat-tab label="Support / Resistance">
        <mat-horizontal-stepper>
            <mat-step [stepControl]="supportResistanceFormGroup">
                <form [formGroup]="supportResistanceFormGroup">
                    <div>
                        <mat-form-field>
                            <input matInput placeholder="Period" formControlName="period"
                                [(ngModel)]="supportResistance.period" required>
                        </mat-form-field>
                    </div>
                    <div>
                        <button mat-button (click)="analyze(supportResistance.name)">Analyze</button>
                    </div>
                </form>
            </mat-step>
        </mat-horizontal-stepper>
    </mat-tab>

    <mat-tab label="Trend / Channel">
        <mat-horizontal-stepper>
            <mat-step [stepControl]="trendChannelFormGroup">
                <form [formGroup]="trendChannelFormGroup">
                    <div>
                        <mat-form-field>
                            <input matInput placeholder="Period" formControlName="period"
                                [(ngModel)]="trendChannel.period" required>
                        </mat-form-field>
                    </div>
                    <div>
                        <button mat-button (click)="analyze(trendChannel.name)">Analyze</button>
                    </div>
                </form>
            </mat-step>
        </mat-horizontal-stepper>
    </mat-tab>

    <mat-tab label="Moving Average Convergence Divergence (MACD)">

    </mat-tab>

    <mat-tab label="Relative Strength Index (RSI)">
        <mat-horizontal-stepper>
            <mat-step [stepControl]="rsiFormGroup">
                <form [formGroup]="rsiFormGroup">
                    <div>
                        <mat-form-field>
                            <input matInput placeholder="Period" formControlName="period" [(ngModel)]="rsi.period"
                                required>
                        </mat-form-field>
                    </div>
                    <div>
                        <mat-form-field>
                            <input matInput placeholder="Over Bought" formControlName="overBought"
                                [(ngModel)]="rsi.overBought" required>
                        </mat-form-field>
                    </div>
                    <div>
                        <mat-form-field>
                            <input matInput placeholder="Over Sold" formControlName="overSold"
                                [(ngModel)]="rsi.overSold" required>
                        </mat-form-field>
                    </div>
                    <div>
                        <button mat-button (click)="analyze(rsi.name)">Analyze</button>
                    </div>
                </form>
            </mat-step>
        </mat-horizontal-stepper>
    </mat-tab>

    <mat-tab label="Pivot Point">
        <mat-horizontal-stepper>
            <mat-step [stepControl]="pivotPointFormGroup">
                <form [formGroup]="pivotPointFormGroup">
                    <div>
                        <mat-form-field>
                            <input matInput placeholder="Period" formControlName="period"
                                [(ngModel)]="pivotPoint.period" required>
                        </mat-form-field>
                    </div>
                    <div>
                        <button mat-button (click)="analyze(pivotPoint.name)">Analyze</button>
                    </div>
                </form>
            </mat-step>
        </mat-horizontal-stepper>
    </mat-tab>

</mat-tab-group>